<script setup lang="ts">
import { computed, watch, ref, onMounted } from "vue";
import { useProductStore } from "@/stores/product";
import { useCartStore } from "@/stores/cart";
import { useDeliverymethodStore } from "@/stores/deliverymethod";
import type promotion from "@/services/promotion";
import { usePromotionStore } from "@/stores/promotion";
import UseProDialog from "../promotion/UseProDialog.vue";
const backendURL = import.meta.env.VITE_BACKEND_URL;
const cartStore = useCartStore();
const promotionStore = usePromotionStore();
onMounted(() => {
    cartStore.getCartItem();
});
const deliveryStore = useDeliverymethodStore();
</script>
<template>
    <v-card theme="light" height="919" outlined="false" class="overflow-y-auto">
        <v-row class="mt-5">
            <v-col></v-col>
            <v-col cols="5"><span class="fontTitle ml-14">ตะกร้าสินค้า</span></v-col>
            <v-col cols="2">

            </v-col>
        </v-row>
        <v-row>
            <v-col cols="1"></v-col>
            <v-col cols="8">
                <v-row v-for="item of cartStore.cartItem" :key="item.id">
                    <v-col cols="3">
                        <v-card height="230px" width="200px"
                            style="border-radius: 20px; border: 1px solid rgba(0, 0, 0, 0.1);">
                            <v-img cover width="150px" class="ma-6"
                                :src="`${backendURL}/products/image/${item.product.image}`">
                            </v-img>
                        </v-card>
                    </v-col>
                    <v-col cols="4">
                        <span><b>{{ item.product.name }}</b></span>
                    </v-col>
                    <v-col cols="1">
                        <span><b>฿{{ (item.product.price * item.quantity).toLocaleString() }}</b></span>
                    </v-col>
                    <v-col cols="2">
                        <span><v-btn icon="mdi-minus" @click="if (item.quantity > 1) { item.quantity--; };
                            cartStore.updateCartItemQuantity(item.quantity, item.id!)
                                "></v-btn></span>
                        <span class="ml-4">{{ item.quantity }}</span>
                        <span class="ml-4"><v-btn icon="mdi-plus"
                                @click="item.quantity++, cartStore.updateCartItemQuantity(item.quantity, item.id!)"></v-btn></span>
                    </v-col>
                    <v-col cols="">
                        <v-btn icon="mdi-delete" @click="cartStore.deleteCartItem(item.id!)"></v-btn>
                    </v-col>
                </v-row>
            </v-col>
            <v-col cols="3">
                <v-card theme="light" height="640px" width="400px" class="ma-5" outlined="false"
                    style="border-radius: 50px; border: 1px solid rgba(0, 0, 0, 0.1);">
                    <v-row class="ma-8">
                        <v-col></v-col>
                        <v-col><v-btn class="font" disabled>โปรโมชัน</v-btn></v-col>
                        <v-col></v-col>
                    </v-row>
                    <v-row class="ma-8">
                        <v-col cols="8"><span class="font">ยอดรวม</span></v-col>
                        <v-col cols="4">฿{{ cartStore.sumPrice.toLocaleString() }}</v-col>
                    </v-row>
                    <v-row class="ma-8">
                        <v-col cols="8"><span class="font">ส่วนลด</span></v-col>
                        <v-col cols="4">฿0</v-col>
                    </v-row>
                    <v-row class="ma-8">
                        <v-col cols="8"><span class="font">ยอดรวมสุทธิ</span></v-col>
                        <v-col cols="4">฿{{ cartStore.sumPrice.toLocaleString() }}</v-col>
                    </v-row>
                    <v-row class="ma-8" v-if="cartStore.cartItem.length > 0">
                        <v-col></v-col>
                        <v-col><v-btn class="font" to="/summaryproductsale">ดำเนินการสั่งซื้อ</v-btn></v-col>
                        <v-col></v-col>
                    </v-row>
                    <v-row class="ma-8">
                        <v-col></v-col>
                        <v-col><v-btn class="font" to="/">เลือกสินค้าเพิ่ม</v-btn></v-col>
                        <v-col></v-col>
                    </v-row>

                </v-card>
            </v-col>
        </v-row>
    </v-card>
</template>

<style scoped>
.fontTitle {
    text-align-last: center;
    font-family: fantasy;
    font-size: 35px;
    color: black;
}

.font {
    text-align-last: center;
    font-family: fantasy;
    font-size: 18px;
    color: black;
}

.fontcardtitle {
    text-align-last: center;
    font-family: fantasy;
    font-size: 25px;
    color: black;
}

.fontcard {
    text-align-last: center;
    font-family: fantasy;
    font-size: 18px;
    color: black;
}

.fontdate {
    text-align-last: center;
    font-family: fantasy;
    font-size: 14px;
    color: black;
}
</style>